Imports Syncfusion.Pdf
Imports System.Drawing
Imports System.Drawing.Imaging

Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Button1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button1.Click
        Try
            Dim pdfDoc As PDFDocument = New PDFDocument
            pdfDoc.AutoCreatePages = True
            Dim props As IPDFGraphicState = pdfDoc.CreateGraphicState()
            props.BreakBehavior = AutoBreakBehavior.MultiLineTextBreak

            '******** Adding a font that can be used to draw Text inside the PDF document.
            '******** Using the Predefined fonts to draw the text.
            Dim pdfFont As IPDFFont = pdfDoc.Fonts.Add(FontBaseFamily.TimesRoman)
            Dim pdfBold As IPDFFont = pdfDoc.Fonts.Add(FontBaseFamily.TimesBold)
            Dim pdfHeader As IPDFFont = pdfDoc.Fonts.Add(FontBaseFamily.TimesBold)
            pdfHeader.Size = "20"

            '******** Draw text at the specified Location.
            pdfDoc.Graphics.DrawImage(New PointF(0, 0), Server.MapPath("sample.jpg"))
            pdfDoc.Graphics.DrawText(200, 10, "SFI Coaching & Training Record", pdfHeader)
            pdfDoc.Graphics.DrawText(0, 75, "Agent being Evaluated:", pdfBold)
            pdfDoc.Graphics.DrawText(300, 75, "TSR Name", pdfFont)
            pdfDoc.Graphics.DrawLine(New PointF(300, 90), New PointF(500, 90))
            pdfDoc.Graphics.DrawText(0, 110, "Date Evaluated:", pdfBold)
            pdfDoc.Graphics.DrawText(300, 110, "lastchangeddate", pdfFont)
            pdfDoc.Graphics.DrawLine(New PointF(300, 125), New PointF(500, 125))
            pdfDoc.Graphics.DrawText(0, 145, "Team Leader / Manager performing Evaluation:", pdfBold)
            pdfDoc.Graphics.DrawText(300, 145, "Evaluator", pdfFont)
            pdfDoc.Graphics.DrawLine(New PointF(300, 160), New PointF(500, 160))
            pdfDoc.Graphics.DrawText(0, 180, "Type of Evaluation:", pdfBold)
            pdfDoc.Graphics.DrawText(300, 180, "evaltype", pdfFont)
            pdfDoc.Graphics.DrawLine(New PointF(300, 195), New PointF(500, 195))
            pdfDoc.Graphics.DrawText(0, 215, "Reason for Session:", pdfBold)
            pdfDoc.Graphics.DrawText(300, 215, "evalreason", pdfFont)
            pdfDoc.Graphics.DrawLine(New PointF(300, 230), New PointF(500, 230))
            pdfDoc.Graphics.DrawText(0, 250, "Project:", pdfBold)
            pdfDoc.Graphics.DrawText(300, 250, "project", pdfFont)
            pdfDoc.Graphics.DrawLine(New PointF(300, 265), New PointF(500, 265))
            pdfDoc.Graphics.DrawText(0, 285, "Position Evaluated:", pdfBold)
            pdfDoc.Graphics.DrawText(300, 285, "evalposition", pdfFont)
            pdfDoc.Graphics.DrawLine(New PointF(300, 300), New PointF(500, 300))
            pdfDoc.Graphics.DrawText(0, 320, "Call Index:", pdfBold)
            pdfDoc.Graphics.DrawText(300, 320, "callindex", pdfFont)
            pdfDoc.Graphics.DrawLine(New PointF(300, 335), New PointF(500, 335))
            pdfDoc.Graphics.DrawText(0, 355, "Comments:", pdfBold)
            pdfDoc.Graphics.DrawMultiText(0, 375, 500, 250, "evalcomments", pdfFont, props)
            pdfDoc.Graphics.DrawText(0, 650, "I have given/received this feedback and" & _
            " understand the importance of the points made.", pdfFont)
            pdfDoc.Graphics.DrawText(0, 720, "_________________________________", pdfFont)
            pdfDoc.Graphics.DrawText(300, 720, "_________________________________", pdfFont)
            pdfDoc.Graphics.DrawText(0, 740, "Evaluator", pdfFont)
            pdfDoc.Graphics.DrawText(300, 740, "TSR Name", pdfFont)

            '******** Display the PDF file on the screen
            pdfDoc.Save("TSR Name" & ".pdf", Response, HttpReadType.Save)
            Label1.Text = "Success"
        Catch x As exception
            label1.text = x.message
        End Try

    End Sub
End Class
